import { DecoderState, Flat } from '../flat/flat';
import { Constant } from './utils';
export declare class FlatConstant extends Flat<Constant> {
    private static readonly instance;
    static getInstance(): FlatConstant;
    decode(decoder: DecoderState): Constant;
}
export declare const flatForUni: (tpe: DefaultUni) => Flat<unknown> | undefined;
export declare class ConstantTypeTagFlat extends Flat<number> {
    private static readonly instance;
    static getInstance(): ConstantTypeTagFlat;
    decode(decode: DecoderState): number;
}
export declare class DefaultUni {
    static pretty(du: DefaultUni): string;
}
export declare class Integer extends DefaultUni {
}
export declare class ByteString extends DefaultUni {
}
export declare class String extends DefaultUni {
}
export declare class Unit extends DefaultUni {
}
export declare class Bool extends DefaultUni {
}
export declare class Data extends DefaultUni {
}
export declare class Apply extends DefaultUni {
    f?: DefaultUni;
    arg?: DefaultUni;
    constructor(f?: DefaultUni, arg?: DefaultUni);
}
export declare class ProtoList extends Apply {
}
export declare class ProtoPair extends Apply {
}
export declare class FlatDefaultFun extends Flat<string> {
    private static readonly instance;
    static getInstance(): FlatDefaultFun;
    decode(decode: DecoderState): string;
}
