import { DefaultUni } from './instances';
export declare enum ApplyType {
    ProtoList = 0,
    ProtoPair = 1
}
export declare class Constant {
    static fromValue(tpe: DefaultUni, decoded: unknown): Constant;
    tpe?: DefaultUni;
    value?: unknown;
    constructor(tpe: DefaultUni, value: unknown);
    prettyValue(c: DefaultUni): string;
    pretty(): string;
}
export declare const DefaultFun: {
    AddInteger: string;
    SubtractInteger: string;
    MultiplyInteger: string;
    DivideInteger: string;
    QuotientInteger: string;
    RemainderInteger: string;
    ModInteger: string;
    EqualsInteger: string;
    LessThanInteger: string;
    LessThanEqualsInteger: string;
    AppendByteString: string;
    ConsByteString: string;
    SliceByteString: string;
    LengthOfByteString: string;
    IndexByteString: string;
    EqualsByteString: string;
    LessThanByteString: string;
    LessThanEqualsByteString: string;
    Sha2_256: string;
    Sha3_256: string;
    Blake2b_256: string;
    VerifyEd25519Signature: string;
    VerifyEcdsaSecp256k1Signature: string;
    VerifySchnorrSecp256k1Signature: string;
    AppendString: string;
    EqualsString: string;
    EncodeUtf8: string;
    DecodeUtf8: string;
    IfThenElse: string;
    ChooseUnit: string;
    Trace: string;
    FstPair: string;
    SndPair: string;
    ChooseList: string;
    MkCons: string;
    HeadList: string;
    TailList: string;
    NullList: string;
    ChooseData: string;
    ConstrData: string;
    MapData: string;
    ListData: string;
    IData: string;
    BData: string;
    UnConstrData: string;
    UnMapData: string;
    UnListData: string;
    UnIData: string;
    UnBData: string;
    EqualsData: string;
    SerialiseData: string;
    MkPairData: string;
    MkNilData: string;
    MkNilPairData: string;
};
export declare const hexToUint8Array: (hexString: string) => Uint8Array;
export declare const toInt8Array: (uInt8Array: Uint8Array) => Int8Array;
export declare const toUint8Array: (int8Array: Int8Array) => Uint8Array;
export declare const bytesToHex: (bytes: Int8Array) => string;
export declare const removeSpacesBetweenParentheses: (str: string) => string;
export interface TreeNode {
    id?: number;
    text?: string;
    data?: TreeNode[];
}
export declare const parseNestedParenthesesToObject: (str: string) => TreeNode;
